Extending Qt Creator Manual | VcsCommand

Extending Qt Creator Manual 4.5.2

# VcsCommand Class

(VcsBase::VcsCommand)

Inherits: | Core::ShellCommand

- List of all members, including inherited members

## Public Types

enum | VcsRunFlags { SshPasswordPrompt, ExpectRepoChanges }

## Public Functions

| VcsCommand(const QString &defaultWorkingDirectory, const QProcessEnvironment &environment)
Utils::SynchronousProcessResponse | runCommand(const Utils::FileName &binary, const QStringList &arguments, int timeoutS, const QString &workDirectory = QString(), const Utils::ExitCodeInterpreter &interpreter = Utils::defaultExitCodeInterpreter) override

## Reimplemented Public Functions

virtual const QProcessEnvironment | processEnvironment() const override

- 24 public functions inherited from Utils::ShellCommand

### Additional Inherited Members

- 5 signals inherited from Utils::ShellCommand
- 2 protected functions inherited from Core::ShellCommand
- 4 protected functions inherited from Utils::ShellCommand

## Member Type Documentation

### enum VcsCommand::VcsRunFlags

## Member Function Documentation

### VcsCommand::VcsCommand(const QString &defaultWorkingDirectory, const QProcessEnvironment &environment)

Default constructs an instance of VcsCommand.

### `[override virtual]` const QProcessEnvironment VcsCommand::processEnvironment() const

### Utils::SynchronousProcessResponse VcsCommand::runCommand(const Utils::FileName &binary, const QStringList &arguments, int timeoutS, const QString &workDirectory = QString(), const Utils::ExitCodeInterpreter &interpreter = Utils::defaultExitCodeInterpreter)